# Gtk-Perl.spec

%define name perl-GTK
%define real_name Gtk-Perl
%define version 0.7008
%define release 26mdk

%ifnarch ia64
%define MozEmbed 0
%else
%define MozEmbed 0
%endif

%if %{MozEmbed}
%define dirs . Mozilla
%else
%define dirs .
%endif

Summary: Perl module for the gtk+ library.
Name: %{name}
Version: %{version}
Source: http://www.cpan.org/authors/id/L/LU/LUPUS/Gtk-Perl-0.7008.tar.bz2
Patch0: Gtk-Perl-add-ensure_focus.patch.bz2
Patch1: Gtk-Perl-0.7003-workaround-gdk_event_copy-withnowindow.patch.bz2
Patch2: Gtk-Perl-0.7005-add-XSetInputFocus.patch.bz2
# fix compilation with gtkhtml >= 1.1.0
Patch3: Gtk-Perl-0.7008-gtkhtml11.patch.bz2
Patch4: Gtk-Perl-0.7008-fix-mozilla.patch.bz2
Patch7: Gtk-Perl-0.7008-force-GtkHTML-and-no-GtkXmHTML.patch.bz2
Patch8: Gtk-Perl-0.7008-fix-memory-leak-with-Gdk::Pixmap-created-from-a-Gdk::Pixbuf.patch.bz2
# (fc) 0.7008-25mdk fix compilation with gnome-print >= 0.30 and gdkpixbuf >= 0.20
Patch9: Gtk-Perl-0.7008-gnomeprint.patch.bz2
Release: %{release}
License: GPL
Group: Development/GNOME and GTK+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
URL: http://numeric.adr.com/Perl/Perl5Modules.html
%if %{MozEmbed}
BuildRequires:	mozilla-devel
%endif
BuildRequires:	gtkglarea-devel >= 1.2.1
BuildRequires:	libgtkhtml-devel >= 1.1.0
BuildRequires:	libgtkhtml2-devel
BuildRequires:	libMesaGLU1-devel
BuildRequires:	perl-devel >= 5.004
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Writer

%package GdkPixbuf
Summary: Perl module for the gtk+ GdkPixbuf library.
Group: Development/GNOME and GTK+

%package GdkImlib
Summary: Perl module for the gtk+ GdkImlib library.
Group: Development/GNOME and GTK+

%package GtkHTML
Summary: Perl module for the gtk+ GtkHTML library.
Group: Development/GNOME and GTK+

%package GLArea
Summary: Perl module for the gtk+ GLArea library.
Group: Development/GNOME and GTK+

%package Gnome
Summary: Perl module for the gtk+ Gnome library.
Group: Development/GNOME and GTK+

%package Glade
Summary: Perl module for the gtk+ Glade library.
Group: Development/GNOME and GTK+

%if %{MozEmbed}
%package MozEmbed
Summary: Perl module for the MozEmbed library.
Group: Development/GNOME and GTK+
%endif

%description
This module lets you use the gtk+ graphic library from perl.
It is very object-oriented and easy to use.

%description GdkImlib
see perl-GTK

%description GdkPixbuf
see perl-GTK

%description GtkHTML
see perl-GTK

%description GLArea
see perl-GTK

%description Gnome
see perl-GTK

%description Glade
see perl-GTK

%if %{MozEmbed}
%description MozEmbed
see perl-GTK
%endif

%prep
%setup -n %{real_name}-%{version} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .gtkhtml11
%patch4 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .gnomeprint

# fix for new MakeMaker (ie new perl 5.8.0)
perl -pi -e '/CCCMD/ && s|/m;|/mg;|' */Makefile.PL

%build
for i in %{dirs}; do (
  cd $i
  %{__perl} Makefile.PL INSTALLDIRS=vendor --lazy-load
  make OPTIMIZE="$RPM_OPT_FLAGS"
) done

%install
rm -rf "$RPM_BUILD_ROOT"

for i in %{dirs}; do (
    cd $i
    make install PREFIX="$RPM_BUILD_ROOT%{_prefix}"
) done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{perl_vendorarch}/auto/Gtk
%{perl_vendorarch}/auto/Gtk/Gtk.so
%{perl_vendorarch}/auto/Gtk/autosplit.ix
%dir %{perl_vendorarch}/auto/Gtk/Gdk
%{perl_vendorarch}/auto/Gtk/Gdk/autosplit.ix
%dir %{perl_vendorarch}/Gtk
%{perl_vendorarch}/Gtk/Install
%{perl_vendorarch}/Gtk/Types.pm
%{perl_vendorarch}/Gtk/Keysyms.pm
%{perl_vendorarch}/Gtk/LogHandler.pm
%{perl_vendorarch}/Gtk/ColorSelectButton.pm
%{perl_vendorarch}/Gtk/Atoms.pm
%{perl_vendorarch}/Gtk/Gdk.pm
%{perl_vendorarch}/Gtk/CListModel.pm
%{perl_vendorarch}/Gtk/TypesLazy.pm
%{perl_vendorarch}/Gtk/io.pm
%{perl_vendorarch}/Gtk/lazy.pm
%{perl_vendorarch}/Gtk.pm
%{perl_vendorarch}/Gtk/LWP.pm
%dir %{perl_vendorarch}/Gtk/LWP
%{perl_vendorarch}/Gtk/LWP/http.pm
%{_mandir}/man3pm/Gtk*

%files GdkPixbuf
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/Gdk/*Pixbuf*
%{perl_vendorarch}/Gtk/Gdk/*Pixbuf*

%files GdkImlib
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/Gdk/*Imlib*
%{perl_vendorarch}/Gtk/Gdk/*Imlib*

%files GtkHTML
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/HTML*
%{perl_vendorarch}/Gtk/HTML*

%files GLArea
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/*GLArea*
%{perl_vendorarch}/Gtk/*GLArea*

%files Gnome
%defattr(-,root,root)
%doc Gtk/samples/test.pl
%{perl_vendorarch}/auto/Gnome
%{perl_vendorarch}/*Gnome*
%{_mandir}/man3pm/Gnome*

%files Glade
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/*Glade*
%{perl_vendorarch}/Gtk/*Glade*

%if %{MozEmbed}
%files MozEmbed
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/*MozEmbed*
%{perl_vendorarch}/Gtk/*MozEmbed*
%endif

%changelog
* Sat Jan 25 2003 Stefan van der Eijk <stefan@eijk.nu> 0.7008-26mdk
- BuildRequires

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-25mdk
- Rebuild with latest gal/gtkhtml
- Patch9 : fix compilation with gnome-print >= 0.30 and gdk-pixbuf >= 0.20
- Merge patches 3, 5, 6 into patch 3 and fix it for gtkhtml >= 1.1.0
- Add missing files

* Mon Aug 19 2002 Pixel <pixel@mandrakesoft.com> 0.7008-24mdk
- add patch fix-memory-leak-with-Gdk::Pixmap-created-from-a-Gdk::Pixbuf

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7008-23mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.7008-22mdk
- rebuild for perl thread-multi

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7008-21mdk
- Automated rebuild with gcc3.2

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.7008-20mdk
- rebuild for perl 5.8.0
- fix build

* Tue Jul 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7008-19mdk
- fix build with new fscking perl

* Wed Jun 26 2002 Pixel <pixel@mandrakesoft.com> 0.7008-18mdk
- subdirs are handled by main Makefile, no need to build them twice :-(
  (Gtk::MozEmbed excepted)

* Tue Jun 25 2002 Pixel <pixel@mandrakesoft.com> 0.7008-17mdk
- fix build for mozilla 1.0.0
- fix build for new MakeMaker (ie perl 5.8.0)

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7008-16mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7008-15mdk
- BuildRequires
- Rebuild against libgal19

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-14mdk
- Recompiled against latest gtkhtml

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-13mdk
- Recompiled against latest gal/gtkhtml

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-12mdk
- Recompiled against mozilla 0.9.5 and latest libgal/libgtkhtml
- Update patch 4 for mozilla 0.9.5

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-11mdk
- Recompiled against libgtkhtml16/libgal12

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.7008-10mdk
- Recomplied against mozilla-0.9.4

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-9mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-8mdk
- Recompiled against libgal11

* Tue Aug 21 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7008-7mdk
- Don't build perl-GTK-MozEmbed on ia64

* Mon Aug 20 2001 Daouda LO <daouda@mandrakesoft.com> 0.7008-6mdk
- add gtk_html_set_default_content_type support to GtkHtml.xs

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-5mdk
- Patch5 : fix binding for latest gtkhtml
- Update patch4 to build with latest mozilla

* Fri Jul 20 2001 Pixel <pixel@mandrakesoft.com> 0.7008-4mdk
- use older gtkhtml so that it works
- add perl-GTK-MozEmbed

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-3mdk
- Recompiled against latest gal/gtkhtml

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-2mdk
- Really remove dependency against libgal6

* Sat Jun 30 2001 Pixel <pixel@mandrakesoft.com> 0.7008-1mdk
- new version

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7007-2mdk
- Recompiled against latest gtkhtml/gal

* Mon Jun  4 2001 Pixel <pixel@mandrakesoft.com> 0.7007-1mdk
- new version

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7006-2mdk
- Recompiled against latest gtkhtml

* Wed Mar 28 2001 Pixel <pixel@mandrakesoft.com> 0.7006-1mdk
- new version

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7005-3mdk
- Recompiled against latest gnomeprint

* Mon Mar  5 2001 Pixel <pixel@mandrakesoft.com> 0.7005-2mdk
- add XSetInputFocus (hack for drakxtools)

* Thu Feb 22 2001 Pixel <pixel@mandrakesoft.com> 0.7005-1mdk
- new version

* Mon Feb 19 2001 Pixel <pixel@mandrakesoft.com> 0.7004-9mdk
- really compile against latest gtkhtml

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7004-8mdk
- Recompiled against latest gtkhtml

* Mon Feb 12 2001 Pixel <pixel@mandrakesoft.com> 0.7004-7mdk
- added gtk_ctree_pre_recursive
- gtk_ctree_post_recursive now accepts CTreeNode_OrNULL instead CTreeNode

* Wed Jan 10 2001 Pixel <pixel@mandrakesoft.com> 0.7004-6mdk
- GtkTable-attach--add-functionality.patch.bz2

* Mon Jan  8 2001 Pixel <pixel@mandrakesoft.com> 0.7004-5mdk
- add GdkPixbuf

* Sun Dec  3 2000 Pixel <pixel@mandrakesoft.com> 0.7004-4mdk
- update the buildReq

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.7004-3mdk
- rebuild with new perl

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.7004-2mdk
- add descriptions to make rpmlint happy

* Thu Oct 26 2000 Pixel <pixel@mandrakesoft.com> 0.7004-1mdk
- new version

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 0.7003-4mdk
- created patch to fix list access in GtkList.xs and GtkTree.xs.

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 0.7003-3mdk
- workaround-gdk_event_copy-withnowindow

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 0.7003-2mdk
- rebuild with clean_perl in spec-helper

* Thu Aug 17 2000 Pixel <pixel@mandrakesoft.com> 0.7003-1mdk
- new version
- replace XmHTML by GtkHTML (seems to work, at least it builds now ;)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7002-9mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Alexander Skwar <ASkwar@DigitalProjects.com>, Pixel <pixel@mandrakesoft.com> 0.7002-8mdk
- More macroziatification *g*
- Man pages are always to be globbed
- removed .packlist's
- added %clean section

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.7002-7mdk
- macroziation

* Wed Apr 26 2000 Pixel <pixel@mandrakesoft.com> 0.7002-6mdk
- add buildrequires xpm-devel

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 0.7002-5mdk
- fix groups

* Sun Apr  2 2000 Pixel <pixel@mandrakesoft.com> 0.7002-4mdk
- rebuild for new libgtkgl

* Thu Mar 30 2000 Pixel <pixel@mandrakesoft.com> 0.7002-3mdk
- changed 5.005 to 5.* to build with new perl

* Sun Mar 12 2000 Pixel <pixel@mandrakesoft.com> 0.7002-2mdk
- add ensure_focus

* Mon Feb 28 2000 Pixel <pixel@mandrakesoft.com> 0.7002-1mdk
- new version

* Wed Jan 26 2000 Pixel <pixel@mandrakesoft.com>
- major rework for 0.7000
- oups % {_arch}
- added test.pl in perl-GTK-gnome

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- replaced i386 by %{_arch} (for alpha)

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- strip .so (nice rpmlint :)

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Oct 18 1999 Pixel <pixel@linux-mandrake.com>
- 0.6123

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- initialization of spec file.

# end of file
